<?php require_once ('dashboard/cms.php'); ?>
 <cms:no_cache />
<cms:template hidden="1" order='100'/>
<cms:embed 'lang_getter.html' />

<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Checkout - Casa Di Batavia</title>
    <meta name="description" content="Naast de schitterende natuurlandschappen, de prachtige kustlijnen en de indrukwekkende cultuur staat 
    Indonesië bekend om haar heerlijke keuken. Dit komt voornamelijk door de zeer uiteenlopende specerijen die beschikbaar zijn in het land. Vandaag 
    brengt Casa di Batavia deze keuken voor u tot in Gent.">
    <cms:embed 'styles.html'/>

  </head>
  <body>

    <cms:set totaal="<cms:pp_total/>" />
               
<cms:if totaal lt '50'>

<?php
    session_start();
    $rate = 3.50;
    $extra = 1.10;
    $fix = 3;
    $above = 110;
    $next=55;
    $min=3;
    $cons = 4;
    //}
    ?>

    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false&libraries=places"></script>
    <script type="text/javascript">
        //<![CDATA[
          var map = null;
          var directionDisplay;
          var directionsService = new google.maps.DirectionsService();

          function initialize() {
            directionsDisplay = new google.maps.DirectionsRenderer();

            var Australia = new google.maps.LatLng(51.041805,3.731275);

            var mapOptions = {  
                        center              : Australia,
                        zoom                : 12,
                        minZoom             : 3,
                        streetViewControl   : false,
                        mapTypeId           : google.maps.MapTypeId.ROADMAP,
                        zoomControlOptions  : {style:google.maps.ZoomControlStyle.MEDIUM}
                    };


            map = new google.maps.Map(document.getElementById('map_canvas'),
                mapOptions);

             //Find From location    
        var fromText = document.getElementById('start');
        var fromAuto = new google.maps.places.Autocomplete(fromText);
        fromAuto.bindTo('bounds', map);
        //Find To location
        var toText = document.getElementById('end');
        var toAuto = new google.maps.places.Autocomplete(toText);
        toAuto.bindTo('bounds', map);
        //  
            directionsDisplay.setMap(map);
            directionsDisplay.setPanel(document.getElementById('directions-panel'));

            /*var control = document.getElementById('control');
            control.style.display = 'block';
            map.controls[google.maps.ControlPosition.TOP].push(control);*/
          }

          function calcRoute() {
            var start = document.getElementById('start').value;
            var end = document.getElementById('end').value;
            var request = {
              origin: start,
              destination: end,
              travelMode: google.maps.DirectionsTravelMode.DRIVING
            };
            directionsService.route(request, function(response, status) {
              if (status == google.maps.DirectionsStatus.OK) {
                directionsDisplay.setDirections(response);
                computeTotalDistance(response);
              }
            });
          }
          function computeTotalDistance(result) {
          var total = 0;
          var myroute = result.routes[0];
          for (i = 0; i < myroute.legs.length; i++) {
            total += myroute.legs[i].distance.value;
          }
          total = total / 1000;
          total = Math.ceil(total);
          /*Start Calculating Distance Fair*/
              if (total==1){
                var cost = 3;

                var surplus = 1.10;
                var fare = cost;
                var fare = ((fare * 2)/2)*surplus;
                var totaalkost = Math.round(fare*100)/100;

                document.getElementById("total").innerHTML = "Afstand: " + total + " km<br />Leveringskost = €" + totaalkost + "<span>(km vergoeding + 10% totaalbedrag bestelling)</span>";
                
              }

              else if (1<total && 20>total){
                var cost = (7+(total * 0.5))-1;

                var surplus = 1.10;
                var fare = cost;
                var fare = ((fare * 2)/2)*surplus;
                var totaalkost = Math.round(fare*100)/100;

                document.getElementById("total").innerHTML = "Afstand: " + total + " km<br />Leveringskost = €" + totaalkost + " <span>(km vergoeding + 10% totaalbedrag bestelling)</span>";
              }
              
              else{

                var cost = "<span class='red'>Afstand overschrijdt maximum afstand van 20 km. <br />Neem contact op via +32 9 324 33 66 om de levering verder te bespreken.</span>";

                var fare = cost;
                document.getElementById("total").innerHTML = "Afstand: " + total + " km<br />" + fare;
              }
           
            /*Distance Fair Calculation Ends*/

          
          }

        function auto() {
        var input = document.getElementById[('start'), ('end')];
        var types
        var options = {
           types: [],
           componentRestrictions: {country: ["AUS"]}
            };
            var autocomplete = new google.maps.places.Autocomplete(input, options);
         }

          google.maps.event.addDomListener(window, 'load', initialize);
        </script>

<cms:else />
  <?php
    session_start();
    $rate = 3.50;
    $extra = 0.50;
    $fix = 3;
    $above = 110;
    $next=55;
    $min=3;
    $cons = 4;
    //}
    ?>

    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false&libraries=places"></script>
    <script type="text/javascript">
        //<![CDATA[
          var map = null;
          var directionDisplay;
          var directionsService = new google.maps.DirectionsService();

          function initialize() {
            directionsDisplay = new google.maps.DirectionsRenderer();

            var Australia = new google.maps.LatLng(51.041805,3.731275);

            var mapOptions = {  
                        center              : Australia,
                        zoom                : 12,
                        minZoom             : 3,
                        streetViewControl   : false,
                        mapTypeId           : google.maps.MapTypeId.ROADMAP,
                        zoomControlOptions  : {style:google.maps.ZoomControlStyle.MEDIUM}
                    };


            map = new google.maps.Map(document.getElementById('map_canvas'),
                mapOptions);

             //Find From location    
        var fromText = document.getElementById('start');
        var fromAuto = new google.maps.places.Autocomplete(fromText);
        fromAuto.bindTo('bounds', map);
        //Find To location
        var toText = document.getElementById('end');
        var toAuto = new google.maps.places.Autocomplete(toText);
        toAuto.bindTo('bounds', map);
        //  
            directionsDisplay.setMap(map);
            directionsDisplay.setPanel(document.getElementById('directions-panel'));

            /*var control = document.getElementById('control');
            control.style.display = 'block';
            map.controls[google.maps.ControlPosition.TOP].push(control);*/
          }

          function calcRoute() {
            var start = document.getElementById('start').value;
            var end = document.getElementById('end').value;
            var request = {
              origin: start,
              destination: end,
              travelMode: google.maps.DirectionsTravelMode.DRIVING
            };
            directionsService.route(request, function(response, status) {
              if (status == google.maps.DirectionsStatus.OK) {
                directionsDisplay.setDirections(response);
                computeTotalDistance(response);
              }
            });
          }
          function computeTotalDistance(result) {
          var total = 0;
          var myroute = result.routes[0];
          for (i = 0; i < myroute.legs.length; i++) {
            total += myroute.legs[i].distance.value;
          }
          total = total / 1000;
          total = Math.ceil(total);
          /*Start Calculating Distance Fair*/
              if (total==1){
                var cost = 3;

                var fare = cost;
                var fare = Math.round(fare * 2)/2;

                document.getElementById("total").innerHTML = "Afstand: " + total + " km<br />Leveringskost = €" + fare;
               
              }

              else if (1<total && 20>total){
                var cost = (7+(total * 0.5))-1;

                var fare = cost;
                var fare =  Math.round(fare * 2)/2;

                document.getElementById("total").innerHTML = "Afstand: " + total + " km<br />Leveringskost = €" + fare;
              }
              
              else{

                var cost = "Afstand overschrijdt maximum afstand van 20 km. <br />Neem contact op via +32 9 324 33 66 om de levering verder te bespreken.";

                var fare = cost;
                document.getElementById("total").innerHTML = "Afstand: " + total + " km<br />" + fare;
              }
            /*Distance Fair Calculation Ends*/
          }

        function auto() {
        var input = document.getElementById[('start'), ('end')];
        var types
        var options = {
           types: [],
           componentRestrictions: {country: ["AUS"]}
            };
            var autocomplete = new google.maps.places.Autocomplete(input, options);
         }

          google.maps.event.addDomListener(window, 'load', initialize);
        </script>

</cms:if>
    <div id="wrapper" class="container">
      <header>
        <cms:embed 'header.html'/>
      </header>
      <div class="row">
        <div id="content" class="col-md-9 checkout">
        	<h1>
            <cms:if my_lang='nl'><cms:show 'Bestelling plaatsen' /></cms:if>
            <cms:if my_lang='en'><cms:show page_title_en /></cms:if>
            <cms:if my_lang='fr'><cms:show page_title_fr /></cms:if>
            <cms:if my_lang='in'><cms:show page_title_in /></cms:if>
          </h1>
          <div class="mobile-cart">
            <a href="<cms:pp_cart_link />" class="nav cart">
              <div class="row cart-head">
                 <div class="row">
                  <div class="col-md-4">
                    <img src="img/basket.png" alt="casa di batavia shop">
                  </div>
                  <div class="col-md-6 pull-right">
                    <span class="quantity"><cms:pp_count_unique_items /></span> item(s)
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6 pull-right">
                    € <span class="price"><cms:number_format "<cms:pp_total />" /></span>
                  </div>
                </div>
              </div>>
            <div class="row">
              <div class="col-xs-6">
                <cms:pp_cart_form>
                  <div class="update-box">
                    <input class="button update-button" type="submit" value="Bestelling wijzigen">
                  </div>
                </cms:pp_cart_form>
              </div>
              <div class="col-xs-6">
              <!--  <a class="checkout-btn" href="extra.php">BESTELLEN</a> -->
             </div>
           </div>
          </div>
          <cms:form method="post" anchor='1'>
            <cms:get_flash 'success_flash_msg' />

            <cms:if k_success >
                                
<cms:send_mail from='bestellingen@casadibatavia.com' to=frm_email bcc="<cms:if frm_afhandeling='Te leveren'>hello@samverdyck.be <cms:else />sam.verdyck@gmail.com</cms:if>" subject='Uw bestelling bij Casa Di Batavia' debug='1'>
<p>Bedankt voor uw bestelling, <cms:show frm_name />!</p>

<p>Uw bestelling is bevestigd en wordt verwerkt, hieronder vindt u een overzicht.</p>

<p><i>Met smakelijke groeten</i></p>

<p><i>Het Casa Di Batavia Team</i></p>
<br>
<br>
<p><strong>Overzicht bestelling:</strong></p>
<p>Naam: <cms:show frm_name />
<br>Emailadres: <cms:show frm_email />
<br>Telefoon/GSM: <cms:show frm_tel /></p>
<p><cms:pp_cart_items>
<span style="font-weight:bold;"><cms:show title />: <cms:show quantity /> <cms:show eenheid_af /> - € <cms:number_format line_total /></span><br />
<cms:pp_selected_options startcount='1'><b><cms:show option_name /></b>: <cms:show option_value /><br />
</cms:pp_selected_options>
</cms:pp_cart_items></p>
<p>Totaal te betalen bedrag bij ophaling/levering: € <cms:number_format "<cms:pp_total />" />
<br>Bestelling: <cms:show frm_afhandeling /> op <cms:show frm_my_datetime /></p>

<p>Leveringswijze: <cms:show frm_koud_warm /></p>

<p>Leveradres:
<br><cms:show frm_end />

<p>Leveringskost</p>

<p>Opmerkingen:
<br><cms:show frm_opmerkingen /></p>   

</cms:send_mail>
              
          <cms:redirect 'good.php' />
            </cms:if>
            <cms:if k_error >
              <div class="error">
                  <ul>
                  <cms:each k_error >
                      <li><cms:show item /></li>
                  </cms:each>
                  </ul>
              </div>
            </cms:if>               

            <cms:fieldset label='Vul uw gegevens in'>
                <cms:input type="text"
                    name="name"
                    label="Naam"
                    maxlength="100"                       
                    required='1'
                    />

                <cms:input type="text"
                    name="email"
                    label='E-mailadres'
                    maxlength="100"
                    validator='email'
                    required='1' />

                <cms:input type="text"
                    name='tel'
                    label='Telefoon of GSM'
                    maxlength="100"
                    required='1'
                    validator='min_len=8' />
              </cms:fieldset>

              <cms:fieldset label="Afhalen/leveren">


              

<style type="text/css">
    .box{
        /*padding: 20px;*/
        display: none;
        /*margin-top: 20px;
        border: 1px solid #000;*/
    }
</style>
<script type="text/javascript" src="http://code.jquery.com/jquery.min.js"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $('input[type="radio"]').click(function(){
            if($(this).attr("value")=="Te leveren"){
                $(".afhalen").hide();
                $(".leveren").show();
            }
            if($(this).attr("value")=="Af te halen"){
                $(".leveren").hide();
                $(".afhalen").show();
            }
        });
    });
</script>
              <cms:input type='radio'
                    name='afhandeling'
                    label='Bestelling:'
                    opt_values=' Af te halen | |  Te leveren'
                    required='1'/>

              <strong>Gewenste <span class="box leveren">lever</span><span class="afhalen">afhaal</span>datum en tijdstip:</strong><br>

              <cms:input 
                    type='datetime' 
                    name='my_datetime'
                    format='dmy'
                    show_labels='0'
                    allow_time='1'
                    default_time='@current'
                    months='Januari, Februari, Maart, April, Mei, Juni, Juli, Augustus, September, Oktober, November, December'
              />

              <br>
              <br>

              <p class="small-info">
                <cms:pages masterpage='openingsuren.php'>
                    <strong>Openingsuren winkel:</strong>
                    <br><cms:show_repeatable 'nederlands' ><cms:show dag/> <cms:show uur /><br /></cms:show_repeatable>
                </cms:pages></i>
              </p>
               
              </cms:fieldset>

              <div class="box leveren">

                 <cms:fieldset label="Info levering">

                 <cms:input type='radio'
                    name='koud_warm'
                    label='Leveringswijze: (koude levering is kwalitatief beter)'
                    opt_values='Koud | | Warm'/>



    </head>
    <body onLoad="initialize()">
    <table width="270" cellpadding="0" cellspacing="0">
      <tr>
        <td>
        <table width="270" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><div id="map_canvas" style="width: 270px; height: 300px; display:none;"></div></td>
            </tr>
            <tr>
              <td><div id="form" style="width:270px;">
                    <input type="text" id="start" size="60px" name="start" 
                    value="François Benardstraat 80, 9000 Gent" style="display:none;">
                    <br />
                    <cms:input size="60px" type="text" style="width:90%;" id="end" name="end" label="Leveradres:"/>
                    <input style="margin:5px 0;" type="button" value="Bereken leveringskost" onClick="calcRoute();">
                  
                  <div id="total"></div>
                  
                 </div></td>
            </tr>
          </table>
          </td>
      </tr>
    </table>

             <p class="small-info">
              <strong>Kostprijs levering</strong>
              <br>Totaal bedrag bestelling kleiner dan €50,00: +10% van totaalbedrag bestelling + km vergoeding
              <br>Totaal bedrag bestelling groter dan €50,00: km vergoeding
              <br>
              <br>Bedragen van km vergoeding zijn terug te vinden op de website van Royal Delivery.
            </p>

            <p class="small-info">
              <strong>Avondleveringen </strong>
              <br>Gebeuren door de koerierdienst "Riyal Delivery".  Zij leveren tot 20 Google kilometers.
              <br>Royal D. zal u bij een bestelling contacteren om het juiste levermoment mee te delen. 
              <br>Bestel minstens 30 min voor wie dichtbij zit.
              <br><strong>Dagleveringen</strong>
              <br>Gebeuren door bubble post en worden bij voorkeur een dag op voorhand aangevraagd.
              <br><strong>Last minute bestelling: </strong>neem rechtstreeks contact op via 09 324 33 66.
            </p>
                
            </cms:fieldset>

              </div>

             

            <cms:fieldset label="Extra">

                <cms:input 
                        type='textarea'
                        rows='10'
                        cols='40'
                        name='opmerkingen'
                        label='Opmerkingen:'/>
            </cms:fieldset>

           
            <div class="col-md-5">
               <div class="checkout-box">
                <cms:input empty_cart='1' name="paypal" class="button checkout-button checkout-btn" type="submit" value="Bestelling plaatsen" />
              </div>
            </div>
        </cms:form>
        </div>
        <aside id="sidebar" class="col-md-3">
          <div class="col-md-12 cart-items">
            <a href="<cms:pp_cart_link />" class="nav cart">
            <div class="row cart-head">
             <img src="img/basket.png" alt="casa di batavia shop">
             <div class="row">
               <div class="col-md-6 pull-right">
                <span class="quantity"><cms:pp_count_unique_items /></span> item(s)
              </div>
              </div>
                  <div class="row">
                    <div class="col-md-6 pull-right">
                      € <span class="price"><cms:number_format "<cms:pp_total />" /></span>
                    </div>
                  </div>
                </div>
              </a>
              <cms:if "<cms:pp_count_items />" >
              <cms:pp_cart_form>
              <cms:pp_cart_items>

              <div class="item">
                <div class="row">
                  <div class="col-md-6">
                    <h2><cms:show title /></h2>
                  </div>
                  <div class="col-md-6 pull-right">

                    <strong><cms:show quantity /> <cms:show eenheid_af /></strong>

                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6 pull-right">
                    € <cms:number_format line_total />
                  </div>
                </div>
              </div>

            </cms:pp_cart_items>

            <div class="update-box">
              <input class="button update-button" type="submit" value="Bestelling wijzigen">
            </div>
            <!-- <a class="checkout-btn" href="extra.php">BESTELLEN</a> -->
          </cms:pp_cart_form>
          <cms:else />
          <div class="message">
            <p class="info">Uw winkelmandje is leeg.</p>
          </div>
        </cms:if>
        </div>

        </aside>
      </div>
    </div>   
    <footer class="container-fluid">
      <cms:embed 'footer.html' />
    </footer>
    <cms:embed 'scripts.html' />
  </body>
</html>
<?php COUCH::invoke(); ?> 
